Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class EndDelimiterCharChecker

    java.lang.Object
      com.servingxml.components.flatfile.options.EndDelimiterCharChecker

All Implemented Interfaces:
  DelimiterCharChecker

    public final class EndDelimiterCharChecker

extends java.lang.Object
implements DelimiterCharChecker

Field Summary

Fields inherited from interface com.servingxml.components.flatfile.options.DelimiterCharChecker
`EMPTY_DELIMITER_CHECKER_ARRAY, NULL`

Constructor Summary
`EndDelimiterCharChecker(char[] value)`
`EndDelimiterCharChecker(char[] value, char[] continuationSequence)`
`EndDelimiterCharChecker(char[] value, char[] escapedBy, char[] continuationSequence)`

Method Summary
`int` | `foundEndDelimiter(char[] data, int start, int length)`
`int` | `foundEndDelimiter(char[] data, int start, int length, TokenReceiver receiver)`
`boolean` | `foundEndDelimiter(CharBuffer buffer, CharArrayBuilder charArrayBuilder)`
`int` | `readEscapedDelimiter(char[] data, int start, int length, CharArrayBuilder charArrayBuilder)`
`boolean` | `readEscapedDelimiter(CharBuffer buffer, CharArrayBuilder charArrayBuilder)`
`boolean` | `testContinuation(CharBuffer buffer, CharArrayBuilder charArrayBuilder)`
`int` | `testStart(char[] data, int start, int length)`
`boolean` | `testStart(CharBuffer buffer, CharArrayBuilder charArrayBuilder)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EndDelimiterCharChecker

    public EndDelimiterCharChecker(char[] value)

### EndDelimiterCharChecker

    public EndDelimiterCharChecker(char[] value,
                                   char[] continuationSequence)

### EndDelimiterCharChecker

    public EndDelimiterCharChecker(char[] value,
                                   char[] escapedBy,
                                   char[] continuationSequence)

Method Detail

### testStart

    public final boolean testStart(CharBuffer buffer,
                                   CharArrayBuilder charArrayBuilder)

  Specified by:
    `testStart` in interface `DelimiterCharChecker`

### foundEndDelimiter

    public final boolean foundEndDelimiter(CharBuffer buffer,
                                           CharArrayBuilder charArrayBuilder)
                                    throws java.io.IOException

  Specified by:
    `foundEndDelimiter` in interface `DelimiterCharChecker`
  Throws:
    `java.io.IOException`

### foundEndDelimiter

    public final int foundEndDelimiter(char[] data,
                                       int start,
                                       int length)

  Specified by:
    `foundEndDelimiter` in interface `DelimiterCharChecker`

### foundEndDelimiter

    public final int foundEndDelimiter(char[] data,
                                       int start,
                                       int length,
                                       TokenReceiver receiver)

  Specified by:
    `foundEndDelimiter` in interface `DelimiterCharChecker`

### testStart

    public final int testStart(char[] data,
                               int start,
                               int length)

  Specified by:
    `testStart` in interface `DelimiterCharChecker`

### readEscapedDelimiter

    public final int readEscapedDelimiter(char[] data,
                                          int start,
                                          int length,
                                          CharArrayBuilder charArrayBuilder)

  Specified by:
    `readEscapedDelimiter` in interface `DelimiterCharChecker`

### readEscapedDelimiter

    public final boolean readEscapedDelimiter(CharBuffer buffer,
                                              CharArrayBuilder charArrayBuilder)
                                       throws java.io.IOException

  Specified by:
    `readEscapedDelimiter` in interface `DelimiterCharChecker`
  Throws:
    `java.io.IOException`

### testContinuation

    public final boolean testContinuation(CharBuffer buffer,
                                          CharArrayBuilder charArrayBuilder)
                                   throws java.io.IOException

  Specified by:
    `testContinuation` in interface `DelimiterCharChecker`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD